package com.os.ems.record.mapper;

import java.util.List;
import java.util.Map;

import com.os.ems.record.domain.RecordIotenvInstant;
import org.apache.ibatis.annotations.Param;

/**
 * 物联网数据Mapper接口
 * 
 * @author zch
 * @date 2025-04-28
 */
public interface RecordIotenvInstantMapper 
{
    /**
     * 查询物联网数据
     * 
     * @param objid 物联网数据主键
     * @return 物联网数据
     */
    public RecordIotenvInstant selectRecordIotenvInstantByObjid(Long objid);

    /**
     * 查询物联网数据列表
     * 
     * @param recordIotenvInstant 物联网数据
     * @return 物联网数据集合
     */
    public List<RecordIotenvInstant> selectRecordIotenvInstantList(RecordIotenvInstant recordIotenvInstant);

    /**
     * 新增物联网数据
     * 
     * @param recordIotenvInstant 物联网数据
     * @return 结果
     */
    public int insertRecordIotenvInstant(RecordIotenvInstant recordIotenvInstant);

    /**
     * 修改物联网数据
     * 
     * @param recordIotenvInstant 物联网数据
     * @return 结果
     */
    public int updateRecordIotenvInstant(RecordIotenvInstant recordIotenvInstant);

    /**
     * 删除物联网数据
     * 
     * @param objid 物联网数据主键
     * @return 结果
     */
    public int deleteRecordIotenvInstantByObjid(Long objid);

    /**
     * 批量删除物联网数据
     * 
     * @param objids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRecordIotenvInstantByObjids(Long[] objids);


    /**
     * 根据指定表名查询物联网数据列表
     *
     * @param tableName 表名
     * @param recordIotenvInstant 查询条件
     * @return 物联网数据集合
     */
//    List<RecordIotenvInstant> selectRecordIotenvInstantListFromTable(@Param("tableName") String tableName,
//                                                                     @Param("record") RecordIotenvInstant recordIotenvInstant);

    /**
     * 使用 UNION ALL 从多个表查询物联网数据列表
     *
     * @param tableNames 表名列表
     * @param recordIotenvInstant 查询条件
     * @return 物联网数据集合
     */
    List<RecordIotenvInstant> selectRecordIotenvInstantListFromTables(@Param("tableNames") List<String> tableNames,
                                                                      @Param("record") RecordIotenvInstant recordIotenvInstant);

    Integer checkTableExists(Map<String, Object> params);

}
